# KED:  Wellcome to Kerem and Edwin's Develeppoment platform.

# This branch is for testing and is organised as follow :
## Goal is to emulate KED as it would be a submodule 
## Tree View
```
├── examples
│   └── pin_control.c
├── ked
│   ├── CMakeLists.txt
│   └── peripherals
│       └── gpio
│           └── gpio.h
└── peripherals
    └── gpio
        └── gpio.c
```
## Dependencies
``` sudo apt install libgpiod-dev ```

# To Compile from root of project
## Prepeare for MAKE
```cmake -S ked -B build -DMAIN_FILE=examples/pin_control.c```
this will also create the build diretory for you. 

## MAKE
```cd build```
```make```

## RUN
```./ked_executable -pin 21 -dir out -set```
Will set GPIO21 pin (HEADER 40) to High

#Size Difference with version that has no function pointers

```
Size
text   data     bss     dec     hex  filename
3696   332	    16	    4044	fcc	 ked_executable

```


